Crazy Eddies GUI System: CEGUI::DirectFBRenderTarget Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
CEGUI::DirectFBRenderTarget Class Reference

Implementation of CEGUI::RenderTarget for DirectFB. More...

Inheritance diagram for CEGUI::DirectFBRenderTarget:
[legend]
Collaboration diagram for CEGUI::DirectFBRenderTarget:
[legend]

List of all members.

## Public Member Functions
| DirectFBRenderTarget (DirectFBRenderer &owner, IDirectFBSurface &target)
| Constructor.
void | draw (const GeometryBuffer &buffer)
| Draw geometry from the given GeometryBuffer onto the surface that this RenderTarget represents.
void | draw (const RenderQueue &queue)
| Draw geometry from the given RenderQueue onto the surface that this RenderTarget represents.
void | setArea (const Rect &area)
| Set the area for this RenderTarget. The exact action this function will take depends upon what the concrete class is representing. For example, with a 'view port' style RenderTarget, this should set the area that the view port occupies on the display (or rendering window).
const Rect & | getArea () const
| Return the area defined for this RenderTarget.
bool | isImageryCache () const
| Return whether the RenderTarget is an implementation that caches actual rendered imagery.
void | activate ()
| Activate the render target and put it in a state ready to be drawn to.
void | deactivate ()
| Deactivate the render target after having completed rendering.
void | unprojectPoint (const GeometryBuffer &buff, const Vector2 &p_in, Vector2 &p_out) const
| Take point p_in unproject it and put the result in p_out. Resulting point is local to GeometryBuffer buff.
## Protected Attributes
DirectFBRenderer & | d_owner
| DirectFBRenderer that created and owns this RenderTarget.
IDirectFBSurface & | d_target
| IDirectFBSurface targetted by this RenderTarget.
Rect | d_area
| holds defined area for the RenderTarget

## Detailed Description

Implementation of CEGUI::RenderTarget for DirectFB.

## Member Function Documentation

void CEGUI::DirectFBRenderTarget::activate | ( |  | ) | `[virtual]`

Activate the render target and put it in a state ready to be drawn to.

Note:
  You MUST call this before doing any rendering - if you do not call this, in the unlikely event that your application actually works, it will likely stop working in some future version.

Implements CEGUI::RenderTarget.

void CEGUI::DirectFBRenderTarget::deactivate | ( |  | ) | `[virtual]`

Deactivate the render target after having completed rendering.

Note:
  You MUST call this after you finish rendering to the target - if you do not call this, in the unlikely event that your application actually works, it will likely stop working in some future version.

Implements CEGUI::RenderTarget.

void CEGUI::DirectFBRenderTarget::draw | ( | const RenderQueue & | queue | ) | `[virtual]`

Draw geometry from the given RenderQueue onto the surface that this RenderTarget represents.

Parameters:

  queue | RenderQueue object holding the geometry that should be drawn to the RenderTarget.

Implements CEGUI::RenderTarget.

void CEGUI::DirectFBRenderTarget::draw | ( | const GeometryBuffer & | buffer | ) | `[virtual]`

Draw geometry from the given GeometryBuffer onto the surface that this RenderTarget represents.

Parameters:

  buffer | GeometryBuffer object holding the geometry that should be drawn to the RenderTarget.

Implements CEGUI::RenderTarget.

const Rect& CEGUI::DirectFBRenderTarget::getArea | ( |  | ) | const`[virtual]`

Return the area defined for this RenderTarget.

Returns:
  Rect object describing the currently defined area for this RenderTarget.

Implements CEGUI::RenderTarget.

bool CEGUI::DirectFBRenderTarget::isImageryCache | ( |  | ) | const`[virtual]`

Return whether the RenderTarget is an implementation that caches actual rendered imagery.

Typically it is expected that texture based RenderTargets would return true in response to this call. Other types of RenderTarget, like view port based targets, will more likely return false.

Returns:
  - true if the RenderTarget does cache rendered imagery.
  - false if the RenderTarget does not cache rendered imagery.

Implements CEGUI::RenderTarget.

void CEGUI::DirectFBRenderTarget::setArea | ( | const Rect & | area | ) | `[virtual]`

Set the area for this RenderTarget. The exact action this function will take depends upon what the concrete class is representing. For example, with a 'view port' style RenderTarget, this should set the area that the view port occupies on the display (or rendering window).

Parameters:

  area | Rect object describing the new area to be assigned to the RenderTarget.

Exceptions:

  InvalidRequestException | May be thrown if the RenderTarget does not support setting or changing its area, or if the area change can not be satisfied for some reason.

Implements CEGUI::RenderTarget.